KD Chart 2: TernaryConstants.cpp File Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- File List
- File Members

# TernaryConstants.cpp File Reference

`#include <cmath>`
`#include "TernaryConstants.h"`

Include dependency graph for TernaryConstants.cpp:

Go to the source code of this file.

## Functions
const QPointF | AxisVector_B_A (TriangleTop)
const QPointF | AxisVector_B_C (TriangleBottomRight)
const QPointF | AxisVector_C_A (TriangleTop-TriangleBottomRight)
const QPointF | FullMarkerDistanceAC (-RelMarkerLength *Norm_C_A)
const QPointF | FullMarkerDistanceBA (RelMarkerLength *Norm_B_A)
const QPointF | FullMarkerDistanceBC (RelMarkerLength *Norm_B_C)
const QPointF | Norm_B_A (-AxisVector_B_A.y(), AxisVector_B_A.x())
const QPointF | Norm_B_C (-AxisVector_B_C.y(), AxisVector_B_C.x())
const QPointF | Norm_C_A (-AxisVector_C_A.y(), AxisVector_C_A.x())
const QPointF | TriangleBottomLeft (0.0, 0.0)
const QPointF | TriangleBottomRight (1.0, 0.0)
const QPointF | TriangleTop (0.5, TriangleHeight)
## Variables
const double | RelMarkerLength = 0.03 * TriangleWidth
const double | Sqrt3 = sqrt( 3.0 )
const double | TriangleHeight = 0.5 * Sqrt3
const double | TriangleWidth = 1.0

## Function Documentation

const QPointF AxisVector_B_A | ( | TriangleTop |  | ) |

const QPointF AxisVector_B_C | ( | TriangleBottomRight |  | ) |

const QPointF AxisVector_C_A | ( | TriangleTop- | TriangleBottomRight | ) |

const QPointF FullMarkerDistanceAC | ( | -RelMarkerLength * | Norm_C_A | ) |

const QPointF FullMarkerDistanceBA | ( | RelMarkerLength * | Norm_B_A | ) |

const QPointF FullMarkerDistanceBC | ( | RelMarkerLength * | Norm_B_C | ) |

const QPointF Norm_B_A | ( | -AxisVector_B_A. | y(),
|  | AxisVector_B_A. | x() |
| ) |  |  |

const QPointF Norm_B_C | ( | -AxisVector_B_C. | y(),
|  | AxisVector_B_C. | x() |
| ) |  |  |

const QPointF Norm_C_A | ( | -AxisVector_C_A. | y(),
|  | AxisVector_C_A. | x() |
| ) |  |  |

const QPointF TriangleBottomLeft | ( | 0. | 0,
|  | 0. | 0 |
| ) |  |  |

const QPointF TriangleBottomRight | ( | 1. | 0,
|  | 0. | 0 |
| ) |  |  |

const QPointF TriangleTop | ( | 0. | 5,
|  | TriangleHeight |  |
| ) |  |  |

## Variable Documentation

const double RelMarkerLength = 0.03 * TriangleWidth

const double Sqrt3 = sqrt( 3.0 )

const double TriangleHeight = 0.5 * Sqrt3

Referenced by KDChart::TernaryPointDiagram::calculateDataBoundaries(), KDChart::TernaryLineDiagram::calculateDataBoundaries(), and KDChart::TernaryCoordinatePlane::layoutDiagrams().

const double TriangleWidth = 1.0

Referenced by KDChart::TernaryCoordinatePlane::layoutDiagrams().